Package org.sunflow.system

## Class BenchmarkFramework

- java.lang.Object
- - org.sunflow.system.BenchmarkFramework

-     public class BenchmarkFramework
      extends java.lang.Object

  This class provides a very simple framework for running a BenchmarkTest kernel several times and time the results.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BenchmarkFramework​(int iterations, int timeLimit)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(BenchmarkTest test)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BenchmarkFramework

          public BenchmarkFramework​(int iterations,
                                    int timeLimit)

  - ### Method Detail

    - #### execute

          public void execute​(BenchmarkTest test)